#include <stdio.h>
#include <stdlib.h>
#include "graph.h"

struct info {
  unsigned int t, p;
  float w;
};

int main()
{
  unsigned int numnode, numedge, u, v, t, p, i;
  float w;
  graph_t *E = graph_create();
  edge_t *edge;
  struct info *info;
  
  scanf("%d%d", &numnode, &numedge);
  for (i=0; i<numedge; i++) {
    scanf("%d%d%f%d%d", &u, &v, &w, &t, &p);
    if ((info = (struct info *)calloc(1, sizeof(struct info))) == NULL) no_mem_exit();
    info->t = t;
    info->p = p;
    info->w = w;
    edge = graph_add_edge(E, u, v, (void *)info);
  }
 
  graph_free(E);
  return 0;
}  
