#ifndef RETIMING_H
#define RETIMING_H

#define PRECISION 0.1

#include "dijkstra_int.h"
#include "bellmanford.h"
#include "list_int.h"
#include "dfs.h"

extern void retiming_restore(graph_t *E, unsigned int *pbak);
extern void delete_extra_edge(graph_t *E, graph_t *hE, unsigned int numnode);
extern unsigned int retiming_compute(unsigned int numnode, graph_t *E, graph_t *hE, fibheap_t *fh, float lamda, edge_t **Adj, unsigned int *rEedgeNo);

#endif
